Bug 1475870 - [Tests] Fix test-functions that generate root image for TEST-* tests
[Tests] Fix test-functions that generate root image for TEST-* tests
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd (Show other bugs)
7.3
All Linux
low Severity low
: rc
: ---
Assigned To: systemd-maint
Frantisek Sumsal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 09:56 EDT by Michal Sekletar
Modified: 2017-09-19 08:14 EDT (History)
2 users (show)

See Also:
Fixed In Version: systemd-219-43.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Sekletar 2017-07-27 09:56:42 EDT
Description of problem:
create_empty_image function generates image that is not usable on RHEL7. Function uses sfdisk to partition image, which fails on RHEL7. Next issue is ext3 filesystem that is used by default. It is not possible to mount ext3 with RHEL7 initrd, because initrd is missing mount.ext3. Also ext3 is not default filesystem in RHEL7.

Version-Release number of selected component (if applicable):
systemd-219-42.el7

How reproducible:
deterministic

Steps to Reproduce:
1. cd test/TEST-02-CRYPTSETUP
2. make setup
3. make run


Actual results:
Test fails.

Expected results:
Test passes.

Additional info:
Comment 2 Michal Sekletar 2017-07-31 10:00:00 EDT
https://github.com/lnykryn/systemd-rhel/pull/126

Note You need to log in before you can comment on or make changes to this bug.